vgp.tutor.height

## Class PjHeight

- java.lang.Object
- - jv.object.PsObject
  - - jv.project.PjProject
    - - vgp.tutor.height.PjHeight

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsTimeListenerIf, PsUpdateIf, PvPickListenerIf

      public class PjHeight
      extends PjProject

  Demo project for displaying scalar field on a surfaces. Vertices and elements are colored according to different criteria.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    11.07.00, 1.20 revised (kp) Further colors added for test purpose.
    23.10.99, 1.10 revised (kp) Argument of constructor removed.
    00.00.98, 1.00 created (kp)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[][]` | `m_parmHeight` Applet parameters: {"Name", "Type", "Default value", "Description"}

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PjHeight()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addGeometry(PgGeometryIf aGeometry)` Register new geometry in project and adjust geometry to show colors.
    `boolean` | `computeColor(PgGeometryIf geomIf)` Compute color of surface and vertices depending on current color criteria.
    `java.lang.String` | `getScalarName()` Get name of current color criteria.
    `void` | `init()` Initialize and reset project, stops the running animation if any.
    `void` | `setScalarName(java.lang.String scalarName)` Set name of current color criteria.
    `void` | `start()` Method is invoked during loading of a project in JavaView.
    `boolean` | `update(java.lang.Object event)` Update all inspector panels, send update to all registered update listeners and finally update parent.

    - ### Methods inherited from class jv.project.PjProject

      `addDisplay, addGeometry, dispose, dragDisplay, dragInitial, dragVertex, fitDisplays, getAnimation, getDisplay, getDisplays, getGeometry, getGeometry, getNumGeometries, getParameter, getParameterInfo, getViewer, hasAnimation, hasDisplay, isEnabledAutoFit, markVertices, pickDisplay, pickInitial, pickVertex, removeDisplay, removeGeometries, removeGeometry, selectDisplay, selectGeometry, setAnimation, setBackColor, setBorderType, setDisplay, setEnabledAutoFit, setGeometry, setParameterInfo, setTime, setViewer, stop, unmarkVertices`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.anim.PsTimeListenerIf

      `getName`

    - ### Methods inherited from interface jv.project.PvPickListenerIf

      `getName`

- - ### Field Detail

    - #### m_parmHeight

          public static final java.lang.String[][] m_parmHeight

      Applet parameters: {"Name", "Type", "Default value", "Description"}

  - ### Constructor Detail

    - #### PjHeight

          public PjHeight()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PjProject`
      Initialize and reset project, stops the running animation if any. Does not reset any registered display nor geometry. They must be reset individually in each subclass.
      Overrides:
        `init` in class `PjProject`

    - #### start

          public void start()

      Description copied from class: `PjProject`
      Method is invoked during loading of a project in JavaView.

      If a project has an animation object, then the animation panel is shown when the project's this start() method is invoked during loading of the project. Use `setAnimation(PsAnimation)` to register an animation.

      If auto fit is enabled then scenery is scaled to fit in each display.

      Overrides:
        `start` in class `PjProject`
      See Also:
        `PvViewerIf.start()`, `PjProject.isEnabledAutoFit()`

    - #### addGeometry

          public boolean addGeometry(PgGeometryIf aGeometry)

      Register new geometry in project and adjust geometry to show colors.
      Overrides:
        `addGeometry` in class `PjProject`
      Parameters:
        `aGeometry` - geometry to be added to this project and the current display.
      Returns:
        `true` if geometry was added to list of geometries.
      Author:
        Konrad Polthier
      Version:
        11.07.00, 1.00 revised (kp)
        11.07.00, 1.00 created (kp)

    - #### update

          public boolean update(java.lang.Object event)

      Description copied from class: `PsObject`
      Update all inspector panels, send update to all registered update listeners and finally update parent. Each of those updates has this object as event independent of the argument of this method.

      Central update method of this object. Must be overwritten if this class receives unknown events, say, from new children. Any subclass must class invoke super.update(event) on all events it does handle itself.

      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PsObject`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

    - #### getScalarName

          public java.lang.String getScalarName()

      Get name of current color criteria.

    - #### setScalarName

          public void setScalarName(java.lang.String scalarName)

      Set name of current color criteria.

    - #### computeColor

          public boolean computeColor(PgGeometryIf geomIf)

      Compute color of surface and vertices depending on current color criteria.

"

The software JavaView? is copyright protected. All Rights Reserved.
"